[arch-commits] Commit in glib-perl/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Apr 3 17:28:43 EDT 2009


    Date: Friday, April 3, 2009 @ 17:28:43
  Author: jgc
Revision: 33023

upgpkg: glib-perl 1.221-1

Modified:
  glib-perl/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 21:24:19 UTC (rev 33022)
+++ PKGBUILD	2009-04-03 21:28:43 UTC (rev 33023)
@@ -4,24 +4,24 @@
 
 pkgname=glib-perl
 _realname=Glib
-pkgver=1.182
+pkgver=1.221
 pkgrel=1
 pkgdesc="Perl wrappers for glib 2.x, including GObject"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://gtk2-perl.sourceforge.net/"
 options=('!emptydirs')
-depends=('glib2>=2.16.3' 'perl>=5.10.0')
+depends=('glib2>=2.20.0' 'perl>=5.10.0')
 makedepends=('perl-extutils-depends>=0.300' 'perl-extutils-pkgconfig>=1.11')
 source=(http://downloads.sourceforge.net/sourceforge/gtk2-perl/${_realname}-${pkgver}.tar.gz)
-md5sums=('23e0fcd52760820b70758adf591b84eb')
+md5sums=('9fbfa385f40e4c977d3426f187f86bcb')
 
 build() {
-  cd ${startdir}/src/${_realname}-${pkgver}
+  cd "${srcdir}/${_realname}-${pkgver}"
   perl Makefile.PL INSTALLDIRS=vendor || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  find ${startdir}/pkg -name '.packlist' -delete
-  find ${startdir}/pkg -name 'perllocal.pod' -delete
+  find "${pkgdir}" -name '.packlist' -delete
+  find "${pkgdir}" -name 'perllocal.pod' -delete
 }



More information about the arch-commits mailing list